## gmic 1.5.0.5+dfsg

=== src/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling :
#
#                 . the G'MIC command line tool ('make').
#                 . the G'MIC plug-in for GIMP ('make gimp').
#                 . the G'MIC interpreter, as a C++ library ('make lib').
#
#                ( http://gmic.sourceforge.net )
#
#  Copyright   : David Tschumperle
#                ( http://www.greyc.ensicaen.fr/~dtschump/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#---------------------------------
# Set correct variables and paths
#---------------------------------
OS := $(shell uname)
CC = g++
ifeq ($(OS),GNU/kFreeBSD)
OS = Linux
endif
ifeq ($(OS),Darwin)
PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
USR = /opt/local
else
PLUGINDIR = `gimptool-2.0 --gimpplugindir`/plug-ins
USR = /usr
endif
ifeq ($(OS),MINGW32_NT-5.1)
EXE = .exe
endif

ifeq ($(CC),g++)
IS_GCC = yes
endif
ifeq ($(CC),g++-4.5)
IS_GCC = yes
endif
ifeq ($(CC),g++-4.5.0)
IS_GCC = yes
endif
ifeq ($(CC),g++-4.6)
IS_GCC = yes
endif
ifeq ($(CC),g++-4.6.0)
IS_GCC = yes
endif

#---------------------------------------------------
# Set compilation flags allowing to customize G'MIC
#---------------------------------------------------

# Flags to enable 'beta' version.
IS_BETA_CFLAGS = 

# Flags that are mandatory to compile 'gmic'.
MANDATORY_CFLAGS += -Dgmic_build -I$(USR)/include
MANDATORY_LDFLAGS += -L$(USR)/lib
ifeq ($(IS_GCC),yes)
MANDATORY_CFLAGS += -Wall -W
MANDATORY_LDFLAGS += -lm
endif
MANDATORY_CFLAGS+=$(IS_BETA_CFLAGS)

# Flags to enable debugging.
DEBUG_CFLAGS = -Dcimg_use_vt100 -Dcimg_verbosity=3 -g

# Flags to enable optimizations.
ifeq ($(IS_GCC),yes)
OPT_CFLAGS = -O3 -fno-tree-pre # -ffast-math
endif
ifeq ($(CC),icc)
OPT_CFLAGS = -O3 -ipo -no-prec-div -override-limits
endif

# Flags to enable image display, using X11
# (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr

# Flags to enable fast display, using XShm.
XSHM_CFLAGS = -Dcimg_use_xshm
XSHM_LDFLAGS = -L$(USR)/X11R6/lib -lXext

# Flags to enable image display, using GDI32.
GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
GDI32_LDFLAGS = -lgdi32

# Flags to enable native support for PNG image files, using the PNG library.
PNG_CFLAGS = -Dcimg_use_png
PNG_LDFLAGS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
JPEG_CFLAGS = -Dcimg_use_jpeg
JPEG_LDFLAGS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
TIFF_CFLAGS = -Dcimg_use_tiff
TIFF_LDFLAGS = -ltiff

# Flags to enable native support for MINC image files, using the MINC2 library.
MINC2_CFLAGS = -Dcimg_use_minc2
MINC2_LDFLAGS = -lminc2

# Flags to enable native support for various video files, using the FFMPEG library.
FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
ZLIB_CFLAGS = -Dcimg_use_zlib
ZLIB_LDFLAGS = -lz

# Flags to enable native support of webcams, using the OpenCV library.
OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include/opencv
ifeq ($(OS),Darwin)
OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
else
OPENCV_LDFLAGS = -lcv -lhighgui
# OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
endif

# Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/include/GraphicsMagick
ifeq ($(OS),Darwin)
MAGICK_LDFLAGS = -L$(USR)/lib -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljpeg -lpng -lbz2 -lxml2 -lz -lm -lpthread -lltdl
else
MAGICK_LDFLAGS = -lGraphicsMagick++
endif

# Flags to enable native support of EXR file format, using the OpenEXR library/
EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/include/OpenEXR
EXR_LDFLAGS = -lIlmImf -lHalf

# Flags to enable the use of the FFTW3 library.
FFTW_CFLAGS = -Dcimg_use_fftw3
FFTW_LDFLAGS = -lfftw3
ifeq ($(OS),MINGW32_NT-5.1)
FFTW_LDFLAGS = -lfftw3-3
endif

# Flags to enable the use of the BOARD library.
BOARD_CFLAGS = -Dcimg_use_board
BOARD_LDFLAGS = -lboard

# Sets of flags for building different configurations.
STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(PNG_CFLAGS) \
                  $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) $(OPENCV_CFLAGS) # $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS)
STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(PNG_LDFLAGS) \
		   $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) $(OPENCV_LDFLAGS) # $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)

CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
	           $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS) $(MAGICK_CFLAGS) 
CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(MINC2_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
	    	    $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS) $(MAGICK_LDFLAGS) 

DEBUG_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(FFTW_CFLAGS) \
	            $(MAGICK_CFLAGS) $(FFMPEG_CFLAGS) # $(OPENCV_CFLAGS)
DEBUG_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
	  	     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) $(FFTW_LDFLAGS) \
		     $(MAGICK_LDFLAGS) $(FFMPEG_LDFLAGS) # $(OPENCV_LDFLAGS)

MINIMAL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS)
MINIMAL_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS)

DEBUG_WINDOWS_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(GDI32_CFLAGS)
DEBUG_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(GDI32_LDFLAGS)

STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
		   $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(MAGICK_CFLAGS) 
STD_MACOSX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(ZLIB_LDFLAGS) \
		     $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
		     $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(MAGICK_LDFLAGS) 

STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(FFTW_CFLAGS)
STD_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(GDI32_LDFLAGS) $(ZLIB_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(FFTW_LDFLAGS)

STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 -I$(USR)/include $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS) ${IS_BETA_CFLAGS}
STD_GIMP_LDFLAGS = -L$(USR)/lib -lpthread $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
ifeq ($(OS),MINGW32_NT-5.1)
STD_GIMP_LDFLAGS += -mwindows
endif

STD_LIB_CFLAGS = -Dcimg_display=0 $(MANDATORY_CFLAGS) $(FFTW_CFLAGS)
STD_LIB_LDFLAGS = $(FFTW_LDFLAGS)

#-------------------------
# Define Makefile entries
#-------------------------

# Main entries
all:
ifeq ($(OS),Linux)
	@echo "**"
	@echo "** Linux configuration"
	@echo "**"
	$(MAKE) linux
	$(MAKE) bashcompletion
	$(MAKE) gimp
	$(MAKE) lib
else
ifeq ($(OS),Darwin)
	@echo "**"
	@echo "** MacOSX configuration"
	@echo "**"
	$(MAKE) macosx
	$(MAKE) bashcompletion
	$(MAKE) gimp
else
	@echo "**"
	@echo "** Windows configuration"
	@echo "**"
	$(MAKE) windows
	$(MAKE) bashcompletion
	$(MAKE) gimp
endif
endif

gimp:
	$(MAKE) "CFLAGS=$(STD_GIMP_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_GIMP_LDFLAGS) $(OPT_LDFLAGS)" "STRIP_EXE=1" gmic_gimp

lib:
	$(MAKE) "CFLAGS=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib

# Entries for non-default configurations.
minimal:
	$(MAKE) "CFLAGS+=$(MINIMAL_UNIX_CFLAGS)" "LDFLAGS+=$(MINIMAL_UNIX_LDFLAGS)" gmic_minimal

debug:
	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_minimal

linux:
	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic

custom:
	$(MAKE) "CFLAGS=$(CUST_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(CUST_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic

solaris:
	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS) -R$(USR)/X11R6/lib -lrt -lnsl -lsocket" "STRIP_EXE=1" gmic_gmic

macosx:
	$(MAKE) "CFLAGS=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_MACOSX_LDFLAGS) $(OPT_LDFLAGS)" gmic_gmic

windows:
	$(MAKE) "CFLAGS=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic

windebug:
	$(MAKE) "CFLAGS=$(DEBUG_WINDOWS_CFLAGS)" "LDFLAGS=$(DEBUG_WINDOWS_LDFLAGS)" gmic_minimal

# Rules to build compilation modules.
gmic_lib.o: gmic.cpp gmic_def.h
	$(CC) -o gmic_lib.o -c gmic.cpp -fPIC -Dgmic_minimal -Dgmic_float $(CFLAGS)
gmic_lib: gmic_lib.o
	ar rcs libgmic.a gmic_lib.o
	$(CC) -shared -Wl,-soname,libgmic.so.1 -o libgmic.so gmic_lib.o $(LDFLAGS)
	$(CC) -o gmic_use_lib gmic_use_lib.cpp -L. -lgmic $(FFTW_LDFLAGS)

gmic_gimp.o: gmic.cpp gmic_def.h
	$(CC) -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal -Dgmic_float $(CFLAGS)
gmic_gimp : gmic_gimp.o gmic_gimp.cpp
	$(CC) -o gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0$(EXE) --cflags` $(CFLAGS) `gimptool-2.0$(EXE) --libs` $(LDFLAGS)
	strip gmic_gimp$(EXE)

gmic_minimal: gmic.cpp
	$(CC) -o gmic gmic.cpp -Dgmic_minimal -Dgmic_float -Dgmic_main $(CFLAGS) $(LDFLAGS)

gmic_bool.o: gmic.cpp
	$(CC) -o gmic_bool.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS)
gmic_uchar.o: gmic.cpp
	$(CC) -o gmic_uchar.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS)
gmic_char.o: gmic.cpp
	$(CC) -o gmic_char.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_char $(CFLAGS)
gmic_ushort.o: gmic.cpp
	$(CC) -o gmic_ushort.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS)
gmic_short.o: gmic.cpp
	$(CC) -o gmic_short.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_short $(CFLAGS)
gmic_uint.o: gmic.cpp

=== debian/changelog ===
gmic (1.5.0.5+dfsg-1) unstable; urgency=low

  * [4978288c] Removing Jakub Wilk from Uploaders as requested.
    Thanks for your work Jakub!
  * [b7314e4e] Merge commit 'upstream/1.5.0.5+dfsg'
  * [866550ef] Refactoring debian/rules
  * [fce14609] Bumping Standards-Version, no changes needed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 30 Oct 2011 19:06:34 +0100

=== debian/control ===
Source: gmic
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libgimp2.0-dev (>= 2.4),
 libavcodec-dev, libavformat-dev, libswscale-dev,
 libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
 libcv-dev, libhighgui-dev, libopenexr-dev
Standards-Version: 3.9.2
Homepage: http://gmic.sourceforge.net/
Vcs-Git: git://git.debian.org/collab-maint/gmic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gmic.git

Package: gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmic-doc, gimp-gmic
Description: GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the stand-alone binary.

Package: gimp-gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
Suggests: gmic, gmic-doc
Enhances: gimp
Description: GIMP plugin for GREYC's Magic Image Converter
 G'MIC is an interpreter of image processing macros whose goal is to
 convert, manipulate and visualize generic 1D/2D/3D multi-spectral
 image files. This includes classical color images, but also more
 complex data as image sequences or 3D volumetric images.
 .
 This package contains the GIMP plugin.

=== debian/rules ===
#!/usr/bin/make -f

BUILDD_MEM := $(shell awk '/^MemTotal:/ {print $$2}' /proc/meminfo)
BUILDD_MEM_OK := $(strip $(shell test $(BUILDD_MEM) -gt 1800000 && echo yes))

ifneq (,$(findstring arm,$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)))
  GMIC_CFLAGS = -g -O0
else
  ifneq (,$(findstring mips,$(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)))
    GMIC_CFLAGS = -g -O0
  else
    ifeq (yes,$(BUILDD_MEM_OK))
      GMIC_CFLAGS = $(CFLAGS)
	else
	  GMIC_CFLAGS = -g -O0
	endif
  endif
endif


%:
	dh $@

override_dh_auto_test: 
	# no tests please.

override_dh_compress:
	dh_compress -X.shtml -X.rss -X.js -X.ppm

override_dh_auto_build:
	dh_auto_build -- \
		LDFLAGS="-Wl,--as-needed" \
		CFLAGS="$(GMIC_CFLAGS) -I. -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libswscale/"

override_dh_clean:
	rm -f src/gmic_use_lib
	dh_clean

override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/gmic/etc/bash_completion.d
	install -D -m644 src/gmic_bashcompletion.sh \
	                 $(CURDIR)/debian/gmic/etc/bash_completion.d/gmic


.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_clean override_dh_install

# vim:ts=4 sw=2 noet

## gmic 1.5.0.7+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -61,6 +61,9 @@
 ifeq ($(OS),MINGW32_NT-5.1)
 EXE = .exe
 endif
+ifeq ($(OS),MINGW32_NT-6.1)
+EXE = .exe
+endif
 
 ifeq ($(CC),g++)
 IS_GCC = yes
@@ -167,6 +170,9 @@
 FFTW_CFLAGS = -Dcimg_use_fftw3
 FFTW_LDFLAGS = -lfftw3
 ifeq ($(OS),MINGW32_NT-5.1)
+FFTW_LDFLAGS = -lfftw3-3
+endif
+ifeq ($(OS),MINGW32_NT-6.1)
 FFTW_LDFLAGS = -lfftw3-3
 endif
 
@@ -183,18 +189,18 @@
 	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) $(OPENCV_LDFLAGS) # $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)
 
 CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
-                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) $(OPENCV_CFLAGS) \
-	           $(FFTW_CFLAGS) $(FFMPEG_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS) $(MAGICK_CFLAGS) 
+                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) \
+	           $(FFTW_CFLAGS) $(BOARD_CFLAGS) $(EXR_CFLAGS) $(MAGICK_CFLAGS) # $(FFMPEG_CFLAGS) $(OPENCV_CFLAGS)
 CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
-                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(MINC2_LDFLAGS) $(ZLIB_LDFLAGS) $(OPENCV_LDFLAGS) \
-	    	    $(FFTW_LDFLAGS) $(FFMPEG_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS) $(MAGICK_LDFLAGS) 
+                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(MINC2_LDFLAGS) $(ZLIB_LDFLAGS) \
+	    	    $(FFTW_LDFLAGS) $(BOARD_LDFLAGS) $(EXR_LDFLAGS) $(MAGICK_LDFLAGS) # $(FFMPEG_LDFLAGS) $(OPENCV_LDFLAGS)
 
 DEBUG_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                     $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(FFTW_CFLAGS) \
-	            $(MAGICK_CFLAGS) $(FFMPEG_CFLAGS) # $(OPENCV_CFLAGS)
+	            $(MAGICK_CFLAGS) $(OPENCV_CFLAGS) # $(FFMPEG_CFLAGS)
 DEBUG_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
 	  	     $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) $(FFTW_LDFLAGS) \
-		     $(MAGICK_LDFLAGS) $(FFMPEG_LDFLAGS) # $(OPENCV_LDFLAGS)
+		     $(MAGICK_LDFLAGS) $(OPENCV_LDFLAGS) # $(FFMPEG_LDFLAGS)
 
 MINIMAL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS)
 MINIMAL_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS)
@@ -204,17 +210,20 @@
 
 STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
-		   $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(MAGICK_CFLAGS) 
+		   $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(MAGICK_CFLAGS)
 STD_MACOSX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(ZLIB_LDFLAGS) \
 		     $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
-		     $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(MAGICK_LDFLAGS) 
+		     $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(MAGICK_LDFLAGS)
 
 STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(FFTW_CFLAGS)
 STD_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(GDI32_LDFLAGS) $(ZLIB_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(FFTW_LDFLAGS)
 
-STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 -I$(USR)/include $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS) ${IS_BETA_CFLAGS}
+STD_GIMP_CFLAGS = -Dgmic_build -Dcimg_display=0 -Dcimg_use_rng -I$(USR)/include $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS) ${IS_BETA_CFLAGS}
 STD_GIMP_LDFLAGS = -L$(USR)/lib -lpthread $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
 ifeq ($(OS),MINGW32_NT-5.1)
+STD_GIMP_LDFLAGS += -mwindows
+endif
+ifeq ($(OS),MINGW32_NT-6.1)
 STD_GIMP_LDFLAGS += -mwindows
 endif
 
@@ -309,6 +318,3 @@
 	$(CC) -o gmic_char.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_char $(CFLAGS)
 gmic_ushort.o: gmic.cpp
 	$(CC) -o gmic_ushort.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS)
-gmic_short.o: gmic.cpp
-	$(CC) -o gmic_short.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_short $(CFLAGS)
-gmic_uint.o: gmic.cpp

=== debian/changelog ===
gmic (1.5.0.7+dfsg-1) unstable; urgency=low

  * [97e3ecbd] Merge commit 'upstream/1.5.0.7+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Dec 2011 19:55:28 +0100

## gmic 1.5.0.8+dfsg

=== debian/changelog ===
gmic (1.5.0.8+dfsg-1) unstable; urgency=low

  * [b7ddf3a2] Merge commit 'upstream/1.5.0.8+dfsg'
  * [a0dd17c6] Make GMIC build with recent OpenCV versions. (Closes: #652763)
  * [7cb4a04f] Don't use configure, call src/Makefile directly.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 08 Jan 2012 23:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libgimp2.0-dev (>= 2.4),
  libavcodec-dev, libavformat-dev, libswscale-dev,
  libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
- libcv-dev, libhighgui-dev, libopenexr-dev
+ libopencv-highgui-dev, libopenexr-dev
 Standards-Version: 3.9.2
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git

=== debian/rules ===
#!/usr/bin/make -f

BUILDD_MEM := $(shell awk '/^MemTotal:/ {print $$2}' /proc/meminfo)
BUILDD_MEM_OK := $(strip $(shell test $(BUILDD_MEM) -gt 1800000 && echo yes))

%:
	dh $@ --sourcedirectory=src

clean:
	rm -f src/gmic_use_lib
	dh $@ --sourcedirectory=src

override_dh_auto_test: 
	# no tests please.

override_dh_compress:
	dh_compress -X.shtml -X.rss -X.js -X.ppm

override_dh_auto_build:
	dh_auto_build -- \
		LDFLAGS="-Wl,--as-needed" \
		CFLAGS="$(GMIC_CFLAGS) -I. -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libswscale/"


override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/gmic/etc/bash_completion.d
	install -D -m644 src/gmic_bashcompletion.sh \
	                 $(CURDIR)/debian/gmic/etc/bash_completion.d/gmic


.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_clean override_dh_install

# vim:ts=4 sw=2 noet

## gmic 1.5.1.6+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 #
 #  Description : Makefile for compiling :
 #
-#                 . the G'MIC command line tool ('make').
-#                 . the G'MIC plug-in for GIMP ('make gimp').
-#                 . the G'MIC interpreter, as a C++ library ('make lib').
+#                 . the G'MIC command line tool (type 'make').
+#                 . the G'MIC plug-in for GIMP (type 'make gimp').
+#                 . the G'MIC interpreter, as a C++ library (type 'make lib').
 #
 #                ( http://gmic.sourceforge.net )
 #
@@ -64,7 +64,6 @@
 ifeq ($(OS),MINGW32_NT-6.1)
 EXE = .exe
 endif
-
 ifeq ($(CC),g++)
 IS_GCC = yes
 endif
@@ -81,12 +80,12 @@
 IS_GCC = yes
 endif
 
-#---------------------------------------------------
-# Set compilation flags allowing to customize G'MIC
-#---------------------------------------------------
+#-----------------------------------------------
+# Set compilation flags for customizing build
+#-----------------------------------------------
 
 # Flags to enable 'beta' version.
-IS_BETA_CFLAGS = 
+IS_BETA_CFLAGS = -Dcimg_use_vt100 
 
 # Flags that are mandatory to compile 'gmic'.
 MANDATORY_CFLAGS += -Dgmic_build -I$(USR)/include
@@ -110,51 +109,73 @@
 
 # Flags to enable image display, using X11
 # (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
+# This requires the presence of the X11 include and library files.
+# (package 'libx11-dev' on Debian).
 X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
 X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr
 
 # Flags to enable fast display, using XShm.
+# This requires the presence of the X11 extension include and library files.
+# (package 'libx11-dev' on Debian).
 XSHM_CFLAGS = -Dcimg_use_xshm
 XSHM_LDFLAGS = -L$(USR)/X11R6/lib -lXext
 
 # Flags to enable image display, using GDI32.
+# This requires the presence of the GDI32 include and library files.
 GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
 GDI32_LDFLAGS = -lgdi32
 
 # Flags to enable native support for PNG image files, using the PNG library.
+# This requires the presence of the libpng include and library files.
+# (package 'libpng12-dev' on Debian).
 PNG_CFLAGS = -Dcimg_use_png
 PNG_LDFLAGS = -lpng -lz
 
 # Flags to enable native support for JPEG image files, using the JPEG library.
+# This requires the presence of the libjpeg include and library files.
+# (package 'libjpeg62-dev' on Debian).
 JPEG_CFLAGS = -Dcimg_use_jpeg
 JPEG_LDFLAGS = -ljpeg
 
 # Flags to enable native support for TIFF image files, using the TIFF library.
+# This requires the presence of the libtiff include and library files.
+# (package 'libtiff4-dev' on Debian).
 TIFF_CFLAGS = -Dcimg_use_tiff
 TIFF_LDFLAGS = -ltiff
 
-# Flags to enable native support for MINC image files, using the MINC2 library.
-MINC2_CFLAGS = -Dcimg_use_minc2
-MINC2_LDFLAGS = -lminc2
+# Flags to enable native support for MINC2 image files, using the MINC2 library.
+# ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
+# (package 'libminc-dev' on Debian).
+MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
+MINC2_LDFLAGS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib
 
 # Flags to enable native support for various video files, using the FFMPEG library.
+# This requires the presence of the FFMPEG include and library files.
+# (packages 'libavcodec-dev', 'libavutil-dev', 'libavformat-dev' and 'libswscale-dev' on Debian).
 FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
 FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
+# This requires the presence of the Zlib include and library files.
+# (package 'zlib1g-dev' on Debian).
 ZLIB_CFLAGS = -Dcimg_use_zlib
 ZLIB_LDFLAGS = -lz
 
 # Flags to enable native support of webcams, using the OpenCV library.
-OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include/opencv
+# This requires the presence of the OpenCV include and library files.
+# (package 'libcv3-2-dev' on Debian).
 ifeq ($(OS),Darwin)
-OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
-else
-OPENCV_LDFLAGS = -lcv -lhighgui
-# OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   # Use this for OpenCV 2.2.0 !
+OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include -I$(USR)/include/opencv
+OPENCV_LDFLAGS = `pkg-config opencv --libs`   #-> Use this for OpenCV 2.2.0 !
+else
+# OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include -I$(USR)/include/opencv
+# OPENCV_LDFLAGS = -lcv -lhighgui
+# OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   #-> Use this for OpenCV 2.2.0 !
 endif
 
 # Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
+# This requires the presence of the GraphicsMagick++ include and library files.
+# (package 'libgraphicsmagick++1-dev' on Debian).
 MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/include/GraphicsMagick
 ifeq ($(OS),Darwin)
 MAGICK_LDFLAGS = -L$(USR)/lib -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljpeg -lpng -lbz2 -lxml2 -lz -lm -lpthread -lltdl
@@ -163,10 +184,14 @@
 endif
 
 # Flags to enable native support of EXR file format, using the OpenEXR library/
+# This requires the presence of the OpenEXR include and library files.
+# (package 'libopenexr-dev' on Debian).
 EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/include/OpenEXR
 EXR_LDFLAGS = -lIlmImf -lHalf
 
 # Flags to enable the use of the FFTW3 library.
+# This requires the presence of the FFTW3 include and library files.
+# (package 'libfftw3-dev' on Debian).
 FFTW_CFLAGS = -Dcimg_use_fftw3
 FFTW_LDFLAGS = -lfftw3
 ifeq ($(OS),MINGW32_NT-5.1)
@@ -177,16 +202,18 @@
 endif
 
 # Flags to enable the use of the BOARD library.
+# This requires the presence of the BOARD include and library files.
+# (no packages exist for Debian at this time).
 BOARD_CFLAGS = -Dcimg_use_board
 BOARD_LDFLAGS = -lboard
 
 # Sets of flags for building different configurations.
 STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
-	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) $(OPENCV_CFLAGS) # $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS)
+	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(OPENCV_CFLAGS) $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS)
 STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(X11_LDFLAGS) $(PNG_LDFLAGS) \
 		   $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
-	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) $(OPENCV_LDFLAGS) # $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)
+	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(OPENCV_LDFLAGS) $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)
 
 CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                    $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(MINC2_CFLAGS) $(ZLIB_CFLAGS) \
@@ -244,6 +271,7 @@
 	$(MAKE) bashcompletion
 	$(MAKE) gimp
 	$(MAKE) lib
+	$(MAKE) zart
 else
 ifeq ($(OS),Darwin)
 	@echo "**"
@@ -252,6 +280,7 @@
 	$(MAKE) macosx
 	$(MAKE) bashcompletion
 	$(MAKE) gimp
+	$(MAKE) zart
 else
 	@echo "**"
 	@echo "** Windows configuration"
@@ -266,55 +295,14 @@
 	$(MAKE) "CFLAGS=$(STD_GIMP_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_GIMP_LDFLAGS) $(OPT_LDFLAGS)" "STRIP_EXE=1" gmic_gimp
 
 lib:
-	$(MAKE) "CFLAGS=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS)" gmic_lib
+	$(MAKE) "CFLAGS=$(STD_LIB_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS+=$(STD_LIB_LDFLAGS) $(OPT_LDFLAGS)" gmic_lib
+
+zart: lib
+ifneq ($(OS),Darwin)
+	cd ../zart && qmake-qt4 zart.pro && $(MAKE) && strip zart
+else
+	cd ../zart && qmake zart.pro && $(MAKE) "CFLAGS=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_MACOSX_LDFLAGS) $(OPT_LDFLAGS)"
+endif
 
 # Entries for non-default configurations.
 minimal:
-	$(MAKE) "CFLAGS+=$(MINIMAL_UNIX_CFLAGS)" "LDFLAGS+=$(MINIMAL_UNIX_LDFLAGS)" gmic_minimal
-
-debug:
-	$(MAKE) "CFLAGS+=$(DEBUG_UNIX_CFLAGS)" "LDFLAGS+=$(DEBUG_UNIX_LDFLAGS)" gmic_minimal
-
-linux:
-	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
-
-custom:
-	$(MAKE) "CFLAGS=$(CUST_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(CUST_UNIX_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
-
-solaris:
-	$(MAKE) "CFLAGS=$(STD_UNIX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_UNIX_LDFLAGS) -R$(USR)/X11R6/lib -lrt -lnsl -lsocket" "STRIP_EXE=1" gmic_gmic
-
-macosx:
-	$(MAKE) "CFLAGS=$(STD_MACOSX_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_MACOSX_LDFLAGS) $(OPT_LDFLAGS)" gmic_gmic
-
-windows:
-	$(MAKE) "CFLAGS=$(STD_WINDOWS_CFLAGS) $(OPT_CFLAGS)" "LDFLAGS=$(STD_WINDOWS_LDFLAGS)" "STRIP_EXE=1" gmic_gmic
-
-windebug:
-	$(MAKE) "CFLAGS=$(DEBUG_WINDOWS_CFLAGS)" "LDFLAGS=$(DEBUG_WINDOWS_LDFLAGS)" gmic_minimal
-
-# Rules to build compilation modules.
-gmic_lib.o: gmic.cpp gmic_def.h
-	$(CC) -o gmic_lib.o -c gmic.cpp -fPIC -Dgmic_minimal -Dgmic_float $(CFLAGS)
-gmic_lib: gmic_lib.o
-	ar rcs libgmic.a gmic_lib.o
-	$(CC) -shared -Wl,-soname,libgmic.so.1 -o libgmic.so gmic_lib.o $(LDFLAGS)
-	$(CC) -o gmic_use_lib gmic_use_lib.cpp -L. -lgmic $(FFTW_LDFLAGS)
-
-gmic_gimp.o: gmic.cpp gmic_def.h
-	$(CC) -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal -Dgmic_float $(CFLAGS)
-gmic_gimp : gmic_gimp.o gmic_gimp.cpp
-	$(CC) -o gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0$(EXE) --cflags` $(CFLAGS) `gimptool-2.0$(EXE) --libs` $(LDFLAGS)
-	strip gmic_gimp$(EXE)
-
-gmic_minimal: gmic.cpp
-	$(CC) -o gmic gmic.cpp -Dgmic_minimal -Dgmic_float -Dgmic_main $(CFLAGS) $(LDFLAGS)
-
-gmic_bool.o: gmic.cpp
-	$(CC) -o gmic_bool.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS)
-gmic_uchar.o: gmic.cpp
-	$(CC) -o gmic_uchar.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS)
-gmic_char.o: gmic.cpp
-	$(CC) -o gmic_char.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_char $(CFLAGS)
-gmic_ushort.o: gmic.cpp
-	$(CC) -o gmic_ushort.o -c gmic.cpp -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS)

=== zart/Makefile ===
#############################################################################
# Makefile for building: zart
# Generated by qmake (2.01a) (Qt 4.8.1) on: Fri Jun 15 16:09:46 2012
# Project:  zart.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile zart.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -D_IS_UNIX -Dcimg_display=0 -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -ffast-math -Dcimg_use_fftw3 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I.. -Iinclude -I/usr/include/opencv -I../src -I.moc -I.ui
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -lX11 ../src/libgmic.a -lcxcore -lcv -lhighgui -lml -lfftw3 -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = src/Settings.cpp \
		src/WebcamGrabber.cpp \
		src/ImageView.cpp \
		src/MainWindow.cpp \
		src/ZArt.cpp \
		src/FilterThread.cpp \
		src/DialogAbout.cpp \
		src/CommandEditor.cpp \
		src/ImageConverter.cpp \
		src/DialogLicence.cpp .moc/moc_ImageView.cpp \
		.moc/moc_MainWindow.cpp \
		.moc/moc_WebcamGrabber.cpp \
		.moc/moc_FilterThread.cpp \
		.moc/moc_CommandEditor.cpp \
		qrc_zart.cpp
OBJECTS       = .obj/Settings.o \
		.obj/WebcamGrabber.o \
		.obj/ImageView.o \
		.obj/MainWindow.o \
		.obj/ZArt.o \
		.obj/FilterThread.o \
		.obj/DialogAbout.o \
		.obj/CommandEditor.o \
		.obj/ImageConverter.o \
		.obj/DialogLicence.o \
		.obj/moc_ImageView.o \
		.obj/moc_MainWindow.o \
		.obj/moc_WebcamGrabber.o \
		.obj/moc_FilterThread.o \
		.obj/moc_CommandEditor.o \
		.obj/qrc_zart.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zart.pro
QMAKE_TARGET  = zart
DESTDIR       = 
TARGET        = zart

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zart.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/i386-linux-gnu/libQtXml.prl \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtNetwork.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) -unix -o Makefile zart.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/i386-linux-gnu/libQtXml.prl:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtNetwork.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile zart.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/zart1.0.0 || $(MKDIR) .obj/zart1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/zart1.0.0/ && $(COPY_FILE) --parents include/Settings.h include/ImageView.h include/MainWindow.h include/WebcamGrabber.h include/FilterThread.h include/CommandEditor.h include/DialogAbout.h include/ImageConverter.h include/DialogLicence.h .obj/zart1.0.0/ && $(COPY_FILE) --parents zart.qrc .obj/zart1.0.0/ && $(COPY_FILE) --parents src/Settings.cpp src/WebcamGrabber.cpp src/ImageView.cpp src/MainWindow.cpp src/ZArt.cpp src/FilterThread.cpp src/DialogAbout.cpp src/CommandEditor.cpp src/ImageConverter.cpp src/DialogLicence.cpp .obj/zart1.0.0/ && $(COPY_FILE) --parents ui/MainWindow.ui ui/DialogAbout.ui ui/DialogLicence.ui .obj/zart1.0.0/ && (cd `dirname .obj/zart1.0.0` && $(TAR) zart1.0.0.tar zart1.0.0 && $(COMPRESS) zart1.0.0.tar) && $(MOVE) `dirname .obj/zart1.0.0`/zart1.0.0.tar.gz . && $(DEL_FILE) -r .obj/zart1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_ImageView.cpp .moc/moc_MainWindow.cpp .moc/moc_WebcamGrabber.cpp .moc/moc_FilterThread.cpp .moc/moc_CommandEditor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_ImageView.cpp .moc/moc_MainWindow.cpp .moc/moc_WebcamGrabber.cpp .moc/moc_FilterThread.cpp .moc/moc_CommandEditor.cpp
.moc/moc_ImageView.cpp: include/ImageView.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/ImageView.h -o .moc/moc_ImageView.cpp

.moc/moc_MainWindow.cpp: .ui/ui_MainWindow.h \
		include/CommandEditor.h \
		include/ImageView.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/FilterThread.h \
		include/Common.h \
		include/MainWindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/MainWindow.h -o .moc/moc_MainWindow.cpp

.moc/moc_WebcamGrabber.cpp: include/WebcamGrabber.ih \
		include/WebcamGrabber.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/WebcamGrabber.h -o .moc/moc_WebcamGrabber.cpp

.moc/moc_FilterThread.cpp: include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/Common.h \
		include/FilterThread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/FilterThread.h -o .moc/moc_FilterThread.cpp

.moc/moc_CommandEditor.cpp: include/CommandEditor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/CommandEditor.h -o .moc/moc_CommandEditor.cpp

compiler_rcc_make_all: qrc_zart.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_zart.cpp
qrc_zart.cpp: zart.qrc \
		presets.xml \
		Licence_CeCILL_V2-en.html \
		images/zoom-original.png \
		images/Logo_150.png \
		images/zoom-fit-best.png \
		images/document-open.png \
		images/icon.png \
		images/application-exit.png \
		images/camera.png \
		images/media-playback-start.png \
		images/LogoGreyc.png \
		images/media-playback-stop.png
	/usr/bin/rcc -name zart zart.qrc -o qrc_zart.cpp

compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) .ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h
.ui/ui_MainWindow.h: ui/MainWindow.ui \
		include/ImageView.h \
		include/CommandEditor.h
	/usr/bin/uic-qt4 ui/MainWindow.ui -o .ui/ui_MainWindow.h

.ui/ui_DialogAbout.h: ui/DialogAbout.ui
	/usr/bin/uic-qt4 ui/DialogAbout.ui -o .ui/ui_DialogAbout.h

.ui/ui_DialogLicence.h: ui/DialogLicence.ui
	/usr/bin/uic-qt4 ui/DialogLicence.ui -o .ui/ui_DialogLicence.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

.obj/Settings.o: src/Settings.cpp include/Settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/Settings.o src/Settings.cpp

.obj/WebcamGrabber.o: src/WebcamGrabber.cpp include/Common.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/WebcamGrabber.o src/WebcamGrabber.cpp

.obj/ImageView.o: src/ImageView.cpp include/ImageView.h \
		include/Common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ImageView.o src/ImageView.cpp

.obj/MainWindow.o: src/MainWindow.cpp include/Common.h \
		include/DialogAbout.h \
		.ui/ui_DialogAbout.h \
		include/DialogLicence.h \
		.ui/ui_DialogLicence.h \
		include/ImageConverter.h \
		include/ImageView.h \
		include/MainWindow.h \
		.ui/ui_MainWindow.h \
		include/CommandEditor.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/FilterThread.h \
		include/Settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/MainWindow.o src/MainWindow.cpp

.obj/ZArt.o: src/ZArt.cpp include/WebcamGrabber.h \
		include/WebcamGrabber.ih \

=== debian/changelog ===
gmic (1.5.1.6+dfsg-4) unstable; urgency=low

  * [4ed5416f] Fix author/copyright information in debian/copyright and zart.1

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 04 Jul 2012 18:43:34 +0200

gmic (1.5.1.6+dfsg-3) unstable; urgency=low

  * [152547f5] Add missing Breaks/Replaces.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 28 Jun 2012 19:55:47 +0200

gmic (1.5.1.6+dfsg-2) unstable; urgency=low

  * [4012fb0e] Split zart into its own package.
    This avoids pulling QT and X for a command-line tool.
  * [e420fdb0] Add a manpage for zart.
  * [eff81582] Remove debian/dirs to avoid empty directories.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 22 Jun 2012 18:12:19 +0200

gmic (1.5.1.6+dfsg-1) unstable; urgency=low

  * [cfe57a54] Merge tag 'upstream/1.5.1.6+dfsg'
    Upstream version 1.5.1.6+dfsg
  * [fbc1e4d2] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 22 Jun 2012 17:03:21 +0200

gmic (1.5.1.5+dfsg-1) unstable; urgency=low

  * [d3cb2da4] Remove override_dh_clean from .PHONY.
    Some debhelper versions still seem to recognize it as empty target...
  * [982453de] Merge commit 'upstream/1.5.0.9+dfsg'
  * [7c82f405] refreshing patches.
  * [7093fa88] Updating changelog.
  * [f8500c13] Merge tag 'upstream/1.5.1.0+dfsg'
    Upstream version 1.5.1.0+dfsg
  * [1e04612f] Rfreshing patches.
  * [ffd49557] Updating changelog.
  * [54eefb26] Merge tag 'upstream/1.5.1.5+dfsg'
    Upstream version 1.5.1.5+dfsg
  * [317788b2] Updating changelog.
  * [03467dc0] Refreshing patches.
  * [706f87a9] Backup zart/Makefile
  * [95621201] Add build-dependencies, description and install files for zart.
  * [eefe5f9b] Add patch to fix building with ne OpenCV.
  * [bdadee8c] Updating changelog.
  * [ccb14826] Add libopencv-objdetect-dev build-dependency.
  * [6b6322ef] More opencv fixes.
  * [303ff61c] Add libopencv-imgproc-dev as build-dependency.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 21 Jun 2012 12:23:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libgimp2.0-dev (>= 2.4),
  libavcodec-dev, libavformat-dev, libswscale-dev,
  libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
- libopencv-highgui-dev, libopenexr-dev
+ libopencv-highgui-dev, libopencv-objdetect-dev, libopencv-imgproc-dev, libopenexr-dev, libqt4-dev
 Standards-Version: 3.9.2
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/gmic.git
@@ -15,19 +15,37 @@
 Package: gmic
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gmic-doc, gimp-gmic
+Suggests: gimp-gmic, gmic-zart
 Description: GREYC's Magic Image Converter
  G'MIC is an interpreter of image processing macros whose goal is to
  convert, manipulate and visualize generic 1D/2D/3D multi-spectral
  image files. This includes classical color images, but also more
  complex data as image sequences or 3D volumetric images.
  .
- This package contains the stand-alone binary.
+ This package contains the stand-alone gmic binary.
+
+Package: gmic-zart
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: gmic
+Replaces: gmic (<< 1.5.1.6+dfsg-3~)
+Breaks: gmic (<< 1.5.1.6+dfsg-3~)
+Description: GREYC's Magic Image Converter - ZArt
+ G'MIC is an interpreter of image processing macros whose goal is to
+ convert, manipulate and visualize generic 1D/2D/3D multi-spectral
+ image files. This includes classical color images, but also more
+ complex data as image sequences or 3D volumetric images.
+ .
+ This package contains ZArt, a program whose purpose is to demonstrate
+ the possibilities of the G'MIC image processing language by offering
+ the choice of several manipulations on a video stream acquired from a
+ webcam. In other words, ZArt is a GUI for G'MIC real-time manipulations
+ on the output of a webcam.
 
 Package: gimp-gmic
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
-Suggests: gmic, gmic-doc
+Suggests: gmic
 Enhances: gimp
 Description: GIMP plugin for GREYC's Magic Image Converter
  G'MIC is an interpreter of image processing macros whose goal is to

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,13 @@
 	dh $@ --sourcedirectory=src
 
 clean:
+	if [ -f zart/Makefile_old ]; then mv zart/Makefile_old zart/Makefile; fi
 	rm -f src/gmic_use_lib
 	dh $@ --sourcedirectory=src
+
+override_dh_auto_configure:
+	cp zart/Makefile zart/Makefile_old
+	dh_auto_configure
 
 override_dh_auto_test: 
 	# no tests please.
@@ -29,6 +34,6 @@
 	                 $(CURDIR)/debian/gmic/etc/bash_completion.d/gmic
 
 
-.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_clean override_dh_install
+.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_install
 
 # vim:ts=4 sw=2 noet
